Skip to main content
POST
/
invoices
/
{invoice_token}
/
regenerate
Regenerate invoice
curl --request POST \
  --url https://api.vantage.sh/v2/invoices/{invoice_token}/regenerate \
  --header 'Authorization: Bearer <token>'
{
  "token": "<string>",
  "invoice_number": "<string>",
  "total": "<string>",
  "billing_period_start": "<string>",
  "billing_period_end": "<string>",
  "status": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "account_token": "<string>",
  "account_name": "<string>",
  "msp_account_token": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

invoice_token
string
required

Response

Invoice regeneration started

Invoice model

token
string
required
invoice_number
string
required

Sequential invoice number for the MSP account

total
string | null
required

Total amount for the invoice period

billing_period_start
string
required

Start date of the billing period. ISO 8601 formatted.

billing_period_end
string
required

End date of the billing period. ISO 8601 formatted.

status
string
required

Current status of the invoice

created_at
string
required

The date and time, in UTC, the invoice was created. ISO 8601 formatted.

updated_at
string
required

The date and time, in UTC, the invoice was last updated. ISO 8601 formatted.

account_token
string
required

Token of the managed account this invoice belongs to

account_name
string
required

Name of the managed account this invoice belongs to

msp_account_token
string
required

Token of the MSP account that owns this invoice